CounterGroupPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records.impl.pb, class: CounterGroupPBImpl

Package org.apache.hadoop.mapreduce.v2.api.records.impl.pb

# Class CounterGroupPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto>
org.apache.hadoop.mapreduce.v2.api.records.impl.pb.CounterGroupPBImpl

All Implemented Interfaces:
  `CounterGroup`

public class CounterGroupPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto> implements CounterGroup

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CounterGroupPBImpl()`
  `CounterGroupPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllCounters(Map<String,Counter> counters)`
  `void`
  `clearCounters()`
  `Map<String,Counter>`
  `getAllCounters()`
  `Counter`
  `getCounter(String key)`
  `String`
  `getDisplayName()`
  `String`
  `getName()`
  `org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto`
  `getProto()`
  `void`
  `removeCounter(String key)`
  `void`
  `setCounter(String key, Counter val)`
  `void`
  `setDisplayName(String displayName)`
  `void`
  `setName(String name)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CounterGroupPBImpl

    public CounterGroupPBImpl()

  - ### CounterGroupPBImpl

    public CounterGroupPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterGroupProto>`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `CounterGroup`

  - ### setName

    public void setName(String name)
    Specified by:
      `setName` in interface `CounterGroup`

  - ### getDisplayName

    public String getDisplayName()
    Specified by:
      `getDisplayName` in interface `CounterGroup`

  - ### setDisplayName

    public void setDisplayName(String displayName)
    Specified by:
      `setDisplayName` in interface `CounterGroup`

  - ### getAllCounters

    public Map<String,Counter> getAllCounters()
    Specified by:
      `getAllCounters` in interface `CounterGroup`

  - ### getCounter

    public Counter getCounter(String key)
    Specified by:
      `getCounter` in interface `CounterGroup`

  - ### addAllCounters

    public void addAllCounters(Map<String,Counter> counters)
    Specified by:
      `addAllCounters` in interface `CounterGroup`

  - ### setCounter

    public void setCounter(String key, Counter val)
    Specified by:
      `setCounter` in interface `CounterGroup`

  - ### removeCounter

    public void removeCounter(String key)
    Specified by:
      `removeCounter` in interface `CounterGroup`

  - ### clearCounters

    public void clearCounters()
    Specified by:
      `clearCounters` in interface `CounterGroup`